'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CmpModal = undefined;

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _suiAtomButton = require('@schibstedspain/sui-atom-button');

var _suiAtomButton2 = _interopRequireDefault(_suiAtomButton);

var _CmpModalAdvertisementStep = require('../CmpModalAdvertisementStep');

var _CmpModalGeneralStep = require('../CmpModalGeneralStep');

var _settings = require('../settings');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var CmpModal = exports.CmpModal = function (_Component) {
  (0, _inherits3.default)(CmpModal, _Component);

  function CmpModal() {
    (0, _classCallCheck3.default)(this, CmpModal);
    return (0, _possibleConstructorReturn3.default)(this, (CmpModal.__proto__ || (0, _getPrototypeOf2.default)(CmpModal)).apply(this, arguments));
  }

  (0, _createClass3.default)(CmpModal, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          consentKey = _props.consentKey,
          lang = _props.lang,
          fetchingPurposes = _props.fetchingPurposes,
          logo = _props.logo,
          onAccept = _props.onAccept,
          onBack = _props.onBack,
          onOpenAdsStep = _props.onOpenAdsStep,
          onToggleAll = _props.onToggleAll,
          onToggleConsent = _props.onToggleConsent,
          privacyUrl = _props.privacyUrl,
          purposeConsents = _props.purposeConsents,
          purposes = _props.purposes,
          step = _props.step,
          vendorConsents = _props.vendorConsents,
          vendors = _props.vendors;


      var i18n = _settings.I18N[lang];

      return _react2.default.createElement(
        'div',
        { className: _settings.CLASS },
        _react2.default.createElement(
          'div',
          { className: _settings.CLASS + '-content' },
          _react2.default.createElement(
            'header',
            { className: _settings.CLASS + '-header' },
            _react2.default.createElement('img', { className: _settings.CLASS + '-logo', src: logo })
          ),
          _react2.default.createElement(
            'section',
            { className: _settings.CLASS + '-inner' },
            step === _settings.STEPS.GENERAL && _react2.default.createElement(_CmpModalGeneralStep.CmpModalGeneralStep, {
              i18n: i18n,
              onOpenAdsStep: onOpenAdsStep,
              privacyUrl: privacyUrl
            }),
            step === _settings.STEPS.ADVERTISEMENT && _react2.default.createElement(_CmpModalAdvertisementStep.CmpModalAdvertisementStep, {
              consentKey: consentKey,
              i18n: i18n,
              onToggleAll: onToggleAll,
              onToggleConsent: onToggleConsent,
              purposeConsents: purposeConsents,
              purposes: purposes,
              vendorConsents: vendorConsents,
              vendors: vendors
            })
          ),
          _react2.default.createElement(
            'footer',
            { className: _settings.CLASS + '-footer' },
            step === _settings.STEPS.ADVERTISEMENT && _react2.default.createElement(
              _suiAtomButton2.default,
              { onClick: onBack, type: 'tertiary', size: 'small' },
              i18n['BACK']
            ),
            _react2.default.createElement(
              _suiAtomButton2.default,
              {
                disabled: fetchingPurposes,
                onClick: onAccept,
                type: 'primary',
                size: 'large'
              },
              i18n['ACCEPT']
            )
          )
        )
      );
    }
  }]);
  return CmpModal;
}(_react.Component);

CmpModal.propTypes = process.env.NODE_ENV !== "production" ? process.env.NODE_ENV !== "production" ? {
  consentKey: _propTypes2.default.number,
  lang: _propTypes2.default.string,
  logo: _propTypes2.default.string,
  fetchingPurposes: _propTypes2.default.bool,
  onAccept: _propTypes2.default.func,
  onBack: _propTypes2.default.func,
  onOpenAdsStep: _propTypes2.default.func,
  onToggleAll: _propTypes2.default.func,
  onToggleConsent: _propTypes2.default.func,
  privacyUrl: _propTypes2.default.string,
  purposeConsents: _propTypes2.default.object,
  purposes: _propTypes2.default.array,
  step: _propTypes2.default.number,
  vendorConsents: _propTypes2.default.object,
  vendors: _propTypes2.default.array
} : {} : {};