'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CmpModalAdvertisementStep = undefined;

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _settings = require('../settings');

var _Consents = require('../Consents');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var CmpModalAdvertisementStep = exports.CmpModalAdvertisementStep = function CmpModalAdvertisementStep(_ref) {
  var consentKey = _ref.consentKey,
      i18n = _ref.i18n,
      onToggleAll = _ref.onToggleAll,
      onToggleConsent = _ref.onToggleConsent,
      purposeConsents = _ref.purposeConsents,
      purposes = _ref.purposes,
      vendorConsents = _ref.vendorConsents,
      vendors = _ref.vendors;

  var enableAllLiteral = i18n['ENABLE_ALL'];
  var disableAllLiteral = i18n['DISABLE_ALL'];

  var commonProps = {
    disableAllLiteral: disableAllLiteral,
    enableAllLiteral: enableAllLiteral,
    onToggleAll: onToggleAll,
    onToggleConsent: onToggleConsent
  };

  return _react2.default.createElement(
    _react.Fragment,
    null,
    _react2.default.createElement(
      'h2',
      { className: _settings.CLASS + '-title' },
      i18n['ADVERTISEMENT_TITLE']
    ),
    _react2.default.createElement(
      'p',
      null,
      i18n['ADVERTISEMENT_BODY']
    ),
    _react2.default.createElement(_Consents.Consents, (0, _extends3.default)({}, commonProps, {
      consents: purposeConsents,
      key: 'purposes-' + consentKey,
      list: purposes,
      title: i18n['AUTHORIZE']
    })),
    _react2.default.createElement(_Consents.Consents, (0, _extends3.default)({}, commonProps, {
      consents: vendorConsents,
      isVendor: true,
      key: 'vendors-' + consentKey,
      list: vendors,
      title: i18n['FOR_THE_NEXT_PARTNERS']
    }))
  );
};

CmpModalAdvertisementStep.propTypes = process.env.NODE_ENV !== "production" ? process.env.NODE_ENV !== "production" ? {
  consentKey: _propTypes2.default.number,
  i18n: _propTypes2.default.object,
  onToggleAll: _propTypes2.default.func,
  onToggleConsent: _propTypes2.default.func,
  purposeConsents: _propTypes2.default.object,
  purposes: _propTypes2.default.array,
  vendorConsents: _propTypes2.default.object,
  vendors: _propTypes2.default.array
} : {} : {};