'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CmpModalGeneralStep = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _settings = require('../settings');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var CmpModalGeneralBox = function CmpModalGeneralBox(_ref) {
  var children = _ref.children,
      title = _ref.title,
      description = _ref.description;
  return _react2.default.createElement(
    'div',
    { className: _settings.CLASS + '-box' },
    _react2.default.createElement(
      'h3',
      { className: _settings.CLASS + '-boxTitle' },
      title,
      ':'
    ),
    _react2.default.createElement(
      'p',
      { className: _settings.CLASS + '-boxDescription' },
      description
    ),
    children
  );
};

var CmpModalGeneralBoxReadMore = function CmpModalGeneralBoxReadMore(_ref2) {
  var i18n = _ref2.i18n,
      privacyUrl = _ref2.privacyUrl;
  return _react2.default.createElement(
    'a',
    { className: _settings.CLASS + '-boxLink', href: privacyUrl },
    i18n['READ_MORE']
  );
};

var CmpModalGeneralStep = exports.CmpModalGeneralStep = function CmpModalGeneralStep(_ref3) {
  var i18n = _ref3.i18n,
      onOpenAdsStep = _ref3.onOpenAdsStep,
      privacyUrl = _ref3.privacyUrl;

  return _react2.default.createElement(
    _react.Fragment,
    null,
    _react2.default.createElement(
      'h2',
      { className: _settings.CLASS + '-title' },
      i18n['TITLE']
    ),
    _react2.default.createElement(
      'p',
      null,
      i18n['BODY']
    ),
    _react2.default.createElement(
      CmpModalGeneralBox,
      {
        title: i18n['COOKIES_SESSION'],
        description: i18n['COOKIES_SESSION_DESC']
      },
      _react2.default.createElement(CmpModalGeneralBoxReadMore, { i18n: i18n, privacyUrl: privacyUrl })
    ),
    _react2.default.createElement(
      CmpModalGeneralBox,
      {
        title: i18n['COOKIES_ANALYTICS'],
        description: i18n['COOKIES_ANALYTICS_DESC']
      },
      _react2.default.createElement(CmpModalGeneralBoxReadMore, { i18n: i18n, privacyUrl: privacyUrl })
    ),
    _react2.default.createElement(
      CmpModalGeneralBox,
      {
        title: i18n['COOKIES_MARKETING'],
        description: i18n['COOKIES_MARKETING_DESC']
      },
      _react2.default.createElement(CmpModalGeneralBoxReadMore, { i18n: i18n, privacyUrl: privacyUrl })
    ),
    _react2.default.createElement(
      CmpModalGeneralBox,
      {
        title: i18n['COOKIES_ADS'],
        description: i18n['COOKIES_ADS_DESC']
      },
      _react2.default.createElement(
        'a',
        { className: _settings.CLASS + '-boxLink', href: '#', onClick: onOpenAdsStep },
        i18n['PERSONALIZE']
      )
    )
  );
};

CmpModalGeneralBox.propTypes = process.env.NODE_ENV !== "production" ? process.env.NODE_ENV !== "production" ? {
  children: _propTypes2.default.any,
  title: _propTypes2.default.string,
  description: _propTypes2.default.string
} : {} : {};

CmpModalGeneralBoxReadMore.propTypes = process.env.NODE_ENV !== "production" ? process.env.NODE_ENV !== "production" ? {
  i18n: _propTypes2.default.object,
  privacyUrl: _propTypes2.default.string
} : {} : {};

CmpModalGeneralStep.propTypes = process.env.NODE_ENV !== "production" ? process.env.NODE_ENV !== "production" ? {
  i18n: _propTypes2.default.object,
  onOpenAdsStep: _propTypes2.default.func,
  privacyUrl: _propTypes2.default.string
} : {} : {};