'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ConsentItem = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _reactAtomSwitch = require('@s-ui/react-atom-switch');

var _reactAtomSwitch2 = _interopRequireDefault(_reactAtomSwitch);

var _ConsentName = require('../ConsentName');

var _settings = require('../settings');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var ConsentItem = exports.ConsentItem = function ConsentItem(_ref) {
  var description = _ref.description,
      enabled = _ref.enabled,
      id = _ref.id,
      onToggleConsent = _ref.onToggleConsent,
      name = _ref.name,
      isVendor = _ref.isVendor,
      url = _ref.url;
  return _react2.default.createElement(
    'div',
    { className: _settings.CLASS + '-consent' },
    _react2.default.createElement(_ConsentName.ConsentName, { name: name, url: url }),
    _react2.default.createElement(
      'div',
      { className: _settings.CLASS + '-consentActions' },
      _react2.default.createElement(_reactAtomSwitch2.default, {
        initialValue: enabled,
        label: '',
        labelLeft: '',
        labelRight: '',
        name: id + '-switch',
        onToggle: function onToggle() {
          return onToggleConsent({ enabled: !enabled, id: id, isVendor: isVendor });
        },
        type: 'toggle'
      })
    )
  );
};

ConsentItem.propTypes = process.env.NODE_ENV !== "production" ? process.env.NODE_ENV !== "production" ? {
  description: _propTypes2.default.string,
  enabled: _propTypes2.default.bool,
  onToggleConsent: _propTypes2.default.func,
  id: _propTypes2.default.number.isRequired,
  isVendor: _propTypes2.default.bool,
  name: _propTypes2.default.string.isRequired,
  url: _propTypes2.default.string
} : {} : {};