'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Consents = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _suiAtomButton = require('@schibstedspain/sui-atom-button');

var _suiAtomButton2 = _interopRequireDefault(_suiAtomButton);

var _ConsentItem = require('../ConsentItem');

var _settings = require('../settings');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Consents = exports.Consents = function Consents(_ref) {
  var consents = _ref.consents,
      disableAllLiteral = _ref.disableAllLiteral,
      enableAllLiteral = _ref.enableAllLiteral,
      isVendor = _ref.isVendor,
      list = _ref.list,
      onToggleAll = _ref.onToggleAll,
      onToggleConsent = _ref.onToggleConsent,
      title = _ref.title;
  return _react2.default.createElement(
    'section',
    { className: _settings.CLASS + '-consents' },
    _react2.default.createElement(
      'h2',
      { className: _settings.CLASS + '-title ' + _settings.CLASS + '-consentsTitle' },
      title
    ),
    _react2.default.createElement(
      'div',
      { className: _settings.CLASS + '-consentsActions' },
      _react2.default.createElement(
        _suiAtomButton2.default,
        {
          onClick: function onClick() {
            return onToggleAll({ enabled: false, isVendor: isVendor });
          },
          type: 'secondary',
          size: 'small'
        },
        disableAllLiteral
      ),
      _react2.default.createElement(
        _suiAtomButton2.default,
        {
          onClick: function onClick() {
            return onToggleAll({ enabled: true, isVendor: isVendor });
          },
          type: 'primary',
          size: 'small'
        },
        enableAllLiteral
      )
    ),
    _react2.default.createElement(
      'div',
      { className: _settings.CLASS + '-consentsTable' },
      list.map(function (_ref2) {
        var id = _ref2.id,
            name = _ref2.name,
            policyUrl = _ref2.policyUrl;
        return _react2.default.createElement(_ConsentItem.ConsentItem, {
          enabled: consents[id],
          id: id,
          isVendor: isVendor,
          key: id,
          name: name,
          onToggleConsent: onToggleConsent,
          url: policyUrl
        });
      })
    )
  );
};

Consents.propTypes = process.env.NODE_ENV !== "production" ? process.env.NODE_ENV !== "production" ? {
  consents: _propTypes2.default.object.isRequired,
  disableAllLiteral: _propTypes2.default.string,
  enableAllLiteral: _propTypes2.default.string,
  isVendor: _propTypes2.default.bool,
  list: _propTypes2.default.array.isRequired,
  onToggleAll: _propTypes2.default.func,
  onToggleConsent: _propTypes2.default.func,
  title: _propTypes2.default.string
} : {} : {};